org.wildfly.swarm.config

## Enum IIOPOpenjdk.ClientSupports

- java.lang.Object
- - java.lang.Enum<IIOPOpenjdk.ClientSupports>
  - - org.wildfly.swarm.config.IIOPOpenjdk.ClientSupports

- All Implemented Interfaces:
    Serializable, Comparable<IIOPOpenjdk.ClientSupports>
  Enclosing class:
    IIOPOpenjdk<T extends IIOPOpenjdk<T>>

      public static enum IIOPOpenjdk.ClientSupports
      extends Enum<IIOPOpenjdk.ClientSupports>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLIENTAUTH`
    `MUTUALAUTH`
    `NONE`
    `SERVERAUTH`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllowedValue()` Returns the allowed value for the management model.
    `String` | `toString()`
    `static IIOPOpenjdk.ClientSupports` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IIOPOpenjdk.ClientSupports[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final IIOPOpenjdk.ClientSupports NONE

    - #### SERVERAUTH

          public static final IIOPOpenjdk.ClientSupports SERVERAUTH

    - #### CLIENTAUTH

          public static final IIOPOpenjdk.ClientSupports CLIENTAUTH

    - #### MUTUALAUTH

          public static final IIOPOpenjdk.ClientSupports MUTUALAUTH

  - ### Method Detail

    - #### values

          public static IIOPOpenjdk.ClientSupports[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IIOPOpenjdk.ClientSupports c : IIOPOpenjdk.ClientSupports.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IIOPOpenjdk.ClientSupports valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getAllowedValue

          public String getAllowedValue()

      Returns the allowed value for the management model.
      Returns:
        the allowed model value

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<IIOPOpenjdk.ClientSupports>`

Copyright © 2017 JBoss by Red Hat. All rights reserved.